#include "deftype.h"

unsint hash(unchar *str)
/* ハッシュ関数（１６ビット）*/
/* str = 名前文字列 */
{
unsint h=0,c;
	while ((c=*str++)!=0) h=h*7+c;
	/* *5より*11より*13の方がばらつきがいい */
	// でもSTKで重複が出すぎたので*7に変更
	return(h);
}
